Bug 85368 - pdftoppm cannot open certain new pdfs (Calibre trouble)
Summary: pdftoppm cannot open certain new pdfs (Calibre trouble)
Status: RESOLVED FIXED
Alias: None
Product: poppler
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
: 88151 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-10-23 14:15 UTC by arspr
Modified: 2016-03-14 19:20 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arspr 2014-10-23 14:15:01 UTC
Hi,

I'm no user of poppler but of Kovid's Calibre (http://calibre-ebook.com/) and this bug report arises by Kovid's suggestion about an issue in Calibre itself (https://bugs.launchpad.net/calibre/+bug/1375983)

The problem seems to be that certain new pdf files (http://usa.canon.com/CUSA/assets/app/pdf/brochures/EOS_7D_Mark_II_AF_guide_CUSA_9-2014.pdf?WT.mc_id=C126149) cannot be rendered by pdftoppm util which is used in Calibre.

As a wild guess it might be related to 256 bit AES encryption.
Comment 1 Albert Astals Cid 2015-01-07 20:40:49 UTC
*** Bug 88151 has been marked as a duplicate of this bug. ***
Comment 2 Sarvjeet Singh 2016-01-25 10:12:38 UTC
@Albert I would like to do "Implement SecurityHandler V6 in Poppler" project. The link to this project is given here https://community.kde.org/GSoC/2015/Ideas#Project:_Implement_SecurityHandler_V6_in_Poppler.
Comment 3 Albert Astals Cid 2016-01-25 21:35:54 UTC
Great, work on it!
Comment 4 Sarvjeet Singh 2016-01-30 08:04:13 UTC
Cool.
Could please mentor me in this project? Also, How do I contact you?
Comment 5 Albert Astals Cid 2016-01-30 15:17:46 UTC
If you're speaking about Google Summer of Code, that's not how it works, the application period is not even started.

If you're speaking about answering questions you may have. There's a poppler development mailing list.
Comment 6 Sarvjeet Singh 2016-01-31 06:02:28 UTC
I didn't mean GSOC. I am interested in this project and hope to finish it before GSOC application period starts. Actually I have taken this for my course project(B.Tech in IT). Also, I have some experience in open source contribution did for Mozilla and Julia so won't bother much.

OK, I'll use mailing list for this.
Comment 7 Albert Astals Cid 2016-03-14 19:20:36 UTC
Will be fixed in next release.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.